# Class CIM_J2eeConnectionPoolStats
extends CIM_J2eeConnectionStats

The J2eeConnectionPoolStats class defines the performance statistics that are provided by a connection pool. JCA and JDBC connection pool statistics are represented by this class. The semantics are determined by the class to which the ConnectionStats instance is associated via the CIM_ElementStatisticalData association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic
|
+--CIM_J2eeConnectionStats
|
+--CIM_J2eeConnectionPoolStats

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The J2eeConnectionPoolStats class defines the performance statistics that are provided by a connection pool. JCA and JDBC connection pool statistics are represented by this class. The semantics are determined by the class to which the ConnectionStats instance is associated via the CIM_ElementStatisticalData association.
UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CloseCount | uint64 |
Counter | boolean | true
Description | string | The number of connections closed.
MappingStrings | string | JSR77.JCP|JSR77.6.20.1.1 getCloseCount|V1.0
CreateCount | uint64 |
Counter | boolean | true
Description | string | The number of connections created.
MappingStrings | string | JSR77.JCP|JSR77.6.20.1.2 getCreateCount|V1.0
FreePoolSize | uint64 |
Description | string | The number of free connections in the pool.
Gauge | boolean | true
MappingStrings | string | JSR77.JCP|JSR77.6.20.1.3 getFreePoolSize|V1.0
FreePoolSizeHighWaterMark | uint64 |
Description | string | The highest number of free connections in the pool since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.1 getHighWaterMark|V1.0
FreePoolSizeLowerBound | uint64 |
Description | string | The lower limit for the number of free connections in the pool.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.2 getLowerBound|V1.0
FreePoolSizeLowWaterMark | uint64 |
Description | string | The lowest number of free connections in the pool since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.2 getLowWaterMark|V1.0
FreePoolSizeUpperBound | uint64 |
Description | string | The upper limit for the number of free connections in the pool.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.1 getUpperBound|V1.0
PoolSize | uint64 |
Description | string | The size of the connection pool.
Gauge | boolean | true
MappingStrings | string | JSR77.JCP|JSR77.6.20.1.4 getPoolSize|V1.0
PoolSizeHighWaterMark | uint64 |
Description | string | The largest size of the connection pool since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.1 getHighWaterMark|V1.0
PoolSizeLowerBound | uint64 |
Description | string | The lower limit for the size of the connection pool.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.2 getLowerBound|V1.0
PoolSizeLowWaterMark | uint64 |
Description | string | The lowest size of the connection pool since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.2 getLowWaterMark|V1.0
PoolSizeUpperBound | uint64 |
Description | string | The upper limit for the size of the connection pool.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.1 getUpperBound|V1.0
WaitingThreadCount | uint64 |
Description | string | The number of threads waiting for a connection.
Gauge | boolean | true
MappingStrings | string | JSR77.JCP|JSR77.6.20.1.5 getWaitingThreadCount|V1.0
WaitingThreadCountHighWaterMark | uint64 |
Description | string | The highest number of threads waiting for a connection since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.1 getHighWaterMark|V1.0
WaitingThreadCountLowerBound | uint64 |
Description | string | The lower limit for the number of threads waiting for a connection.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.2 getLowerBound|V1.0
WaitingThreadCountLowWaterMark | uint64 |
Description | string | The lowest number of threads waiting for a connection since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.2 getLowWaterMark|V1.0
WaitingThreadCountUpperBound | uint64 |
Description | string | The upper limit for the number of threads waiting for a connection.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.1 getUpperBound|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData
UseTime | datetime | CIM_J2eeConnectionStats
UseTimeMaxTime | datetime | CIM_J2eeConnectionStats
UseTimeMinTime | datetime | CIM_J2eeConnectionStats
UseTimeTotalTime | datetime | CIM_J2eeConnectionStats
WaitTime | datetime | CIM_J2eeConnectionStats
WaitTimeMaxTime | datetime | CIM_J2eeConnectionStats
WaitTimeMinTime | datetime | CIM_J2eeConnectionStats
WaitTimeTotalTime | datetime | CIM_J2eeConnectionStats

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
GetLastSampleTime | uint64 | CIM_J2eeStatistic
GetStartTime | uint64 | CIM_J2eeStatistic
ResetSelectedStats | uint32 | CIM_StatisticalData